Skip to content
Permalink
Browse files
[FEATURE] update K8S-KIND to 0.13.0 (#23636)
  • Loading branch information
raphaelauv committed May 11, 2022
1 parent dee05b2 commit 9b8cffe1c499833be758fbdbc7f271e19cad410f
Showing 3 changed files with 8 additions and 8 deletions.
@@ -26,9 +26,9 @@ _breeze_allowed_python_major_minor_versions="3.7 3.8 3.9 3.10"
_breeze_allowed_backends="sqlite mysql postgres mssql"
_breeze_allowed_integrations="cassandra kerberos mongo openldap pinot rabbitmq redis statsd trino all"
_breeze_allowed_kubernetes_modes="image"
_breeze_allowed_kubernetes_versions="v1.23.4 v1.22.7 v1.21.10 v1.20.15"
_breeze_allowed_kubernetes_versions="v1.23.6 v1.22.9 v1.21.12 v1.20.15"
_breeze_allowed_helm_versions="v3.6.3"
_breeze_allowed_kind_versions="v0.12.0"
_breeze_allowed_kind_versions="v0.13.0"
_breeze_allowed_mysql_versions="5.7 8"
_breeze_allowed_mssql_versions="2017-latest 2019-latest"
_breeze_allowed_postgres_versions="10 11 12 13"
@@ -50,8 +50,8 @@
'all',
]
ALLOWED_KUBERNETES_MODES = ['image']
ALLOWED_KUBERNETES_VERSIONS = ['v1.23.4', 'v1.22.7', 'v1.21.10', 'v1.20.15']
ALLOWED_KIND_VERSIONS = ['v0.12.0']
ALLOWED_KUBERNETES_VERSIONS = ['v1.23.6', 'v1.22.9', 'v1.21.12', 'v1.20.15']
ALLOWED_KIND_VERSIONS = ['v0.13.0']
ALLOWED_HELM_VERSIONS = ['v3.6.3']
ALLOWED_EXECUTORS = ['KubernetesExecutor', 'CeleryExecutor', 'LocalExecutor', 'CeleryKubernetesExecutor']
ALLOWED_KIND_OPERATIONS = ['start', 'stop', 'restart', 'status', 'deploy', 'test', 'shell', 'k9s']
@@ -226,8 +226,8 @@ def get_airflow_extras():
ENABLED_SYSTEMS = ""

CURRENT_KUBERNETES_MODES = ['image']
CURRENT_KUBERNETES_VERSIONS = ['v1.23.4', 'v1.22.7', 'v1.21.10', 'v1.20.15']
CURRENT_KIND_VERSIONS = ['v0.12.0']
CURRENT_KUBERNETES_VERSIONS = ['v1.23.6', 'v1.22.9', 'v1.21.12', 'v1.20.15']
CURRENT_KIND_VERSIONS = ['v0.13.0']
CURRENT_HELM_VERSIONS = ['v3.6.3']
CURRENT_EXECUTORS = ['KubernetesExecutor']

@@ -490,13 +490,13 @@ function initialization::initialize_image_build_variables() {
# Determine versions of kubernetes cluster and tools used
function initialization::initialize_kubernetes_variables() {
# Currently supported versions of Kubernetes
CURRENT_KUBERNETES_VERSIONS+=("v1.23.4" "v1.22.7" "v1.21.10" "v1.20.15")
CURRENT_KUBERNETES_VERSIONS+=("v1.23.6" "v1.22.9" "v1.21.12" "v1.20.15")
export CURRENT_KUBERNETES_VERSIONS
# Currently supported modes of Kubernetes
CURRENT_KUBERNETES_MODES+=("image")
export CURRENT_KUBERNETES_MODES
# Currently supported versions of Kind
CURRENT_KIND_VERSIONS+=("v0.12.0")
CURRENT_KIND_VERSIONS+=("v0.13.0")
export CURRENT_KIND_VERSIONS
# Currently supported versions of Helm
CURRENT_HELM_VERSIONS+=("v3.6.3")

0 comments on commit 9b8cffe

Please sign in to comment.